<script>
  import {scaleLog} from 'd3-scale';
  import {select} from 'd3-selection';
  import {axisBottom} from 'd3-axis';

  //Array
   const values = [2, 4, 6, 7, 9];

  // Dimensions
  const width = 810;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 30, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const classservice=values.map(d=>d.service)
  const scaleX = scaleLog().domain([1, 10]).range([0,800])
  
 function x_axis_change(element){
    let xaxis=axisBottom(scaleX);
    select(element).call(xaxis);
 }

</script>

<style>
circle{
  fill: pink;
}
</style>

<svg viewBox="0 0 {width} {height}">
  <text  x=0 y=0 transform=" translate(400,100)" fill="currentColor" style="font-size:0.7em;">x label </text>
  <g transform="translate({margin.left},{margin.top})">
    {#each values as dp}
    <circle cx={scaleX(dp)} cy="30" r=10 />
  {/each}
  </g>
  <g transform="translate({margin.left},{innerHeight+margin.top})" use:x_axis_change>
  </g>
</svg>